Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0006742OCamltypingpublic2015-01-05 16:352016-12-07 11:47
Reporterdrup 
Assigned Togarrigue 
PrioritynoneSeverityminorReproducibilityN/A
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version4.03.0+dev / +beta1Fixed in Version4.03.0+dev / +beta1 
Summary0006742: Question: virtual_flag in typedtree is duplicated.
DescriptionIn the typedtree, we have the following definition:

  | Tstr_class of (class_declaration * string list * virtual_flag) list

However, class_declaration = class_expr class_infos and class_infos has a field ci_virt containing the virtual flag.

After a bit of investigation, class_infos seems to have been introduced much later than the virtual flag in Tstr_class. In the code, they seem to be equal (but obtained by different means). Is it really the case, and if no, why ?
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0013115)
garrigue (manager)
2015-01-16 10:20

Well spotted.
Removed this duplicate information in trunk, at revision 15776.

- Issue History
Date Modified Username Field Change
2015-01-05 16:35 drup New Issue
2015-01-09 18:27 doligez Status new => acknowledged
2015-01-09 18:27 doligez Target Version => 4.03.0+dev / +beta1
2015-01-16 10:20 garrigue Note Added: 0013115
2015-01-16 10:20 garrigue Status acknowledged => resolved
2015-01-16 10:20 garrigue Fixed in Version => 4.03.0+dev / +beta1
2015-01-16 10:20 garrigue Resolution open => fixed
2015-01-16 10:20 garrigue Assigned To => garrigue
2016-12-07 11:47 xleroy Status resolved => closed
2017-02-23 16:45 doligez Category OCaml typing => typing


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker